POST   alerts/{alert_type}

Creates a new alert of the provided alert_type.

URL Parameters

NameDescription
alert_type

Alert type. Allowed values: sms, email, webhook.

Remarks

Use GET checks route to get the list of values applicable for check_ids.


The default context for the route is the user context. To enable customer context (if allowed for the user) use the request query parameter customer_context=1. The customer_context parameter lets you choose the set of checks you have access to in the check_ids parameter.


Use GET alerts/targets route to get the list of values applicable for target_ids.


Use GET alerts/recipients route to get the list of values applicable for recipient_ids.


Use GET alerts/target_groups route to get the list of values applicable for group_ids.


Use any combination of I,W,E,F letters as a severity value, for example "IW" or "IEF".



Returns HTTP 201 Created when successful.

Request example and description

curl --request POST "https://api-asm1.apica.io/v3/alerts/email?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E" --header "Content-Type: application/json" --data-raw "{
  "target_ids": [
    745,
    578,
    43
  ],
  "recipient_ids": [
    34,
    897,
    3245
  ],
  "check_ids": [
    312345,
    6789,
    3245346
  ],
  "severity": "I",
  "group_ids": [
    645,
    48,
    453
  ]
}"
NameType Required Description
target_idsArrayNo

The alert's targets

recipient_idsArrayNo

The alert's recipients

check_idsArrayYes

The alert's checks list

severityStringYes

The alert's severity

group_idsArrayNo

The alert's target groups